Welcome text misses wiki formatting
Status: Closed Start date: 2010-06-28

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 3.1.0   

Description

The attached patch surrounds the welcome text with a <div class="wiki"> to render the same as all the other info texts.

Related issues:

Related to Redmine - Patch #12031: welcome text in a div with class box Closed

Associated revisions

Revision 14448 - 2015-07-24 06:06 - Jean-Philippe Lang

Welcome text misses wiki div (#5770).

Revision 14449 - 2015-07-24 06:07 - Jean-Philippe Lang

Merged r14448 (#5770).

History

#1 - 2010-07-01 15:07 - Mikhail Sviridov

Holger Just wrote:

The attached patch surrounds the welcome text with a <div class="wiki"> to render the same as all the other info texts.

#2 - 2014-11-08 04:38 - Mischa The Evil

- Related to Patch #12031: welcome text in a div with class box added

#3 - 2014-11-08 04:45 - Mischa The Evil

This change fixes some issues with overlapping code boxes too.

A different approach is proposed in #12031. I prefer this simpler change though...

#4 - 2015-07-12 07:02 - Mischa The Evil

- Target version set to 3.1.0

Is this a patch that we can still target to 3.1.0? I don't know "how frozen" 3.1-stable is at the moment.

Nevertheless, I think this could be considered a defect, marking this (small) patch a candidate for a future >= 3.1.1 release anyway.

Mischa The Evil wrote:

A different approach is proposed in #12031. [...]

 A second look at it shows me that it does more than adding a div alone - with the wrong class also, box does not fix the formatting issues that rise

when a "pre" block and/or a "pre code" block is being used in the welcome text (wiki class does fix these) - and these changes were found

unrelated/unwanted (#12031#note-2).

As such, I'd propose to close issue #12031 in favor of the patch proposed in this patch (which, I think, will also fix the issue that the OP of #12031 was

intending to patch initially).

#5 - 2015-07-24 06:09 - Jean-Philippe Lang

- Category set to Text formatting

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
Patch committed.

#6 - 2015-07-25 06:36 - Mischa The Evil

Thanks!
